#include <iostream>
#include "ttt-type.hpp"

int main(void){
	if(sizeof(TTT_INT16) != 2){
		std::cerr << "[Error in definition] TTT_INT16 must be 2-byte integer." << std::endl;
		std::cerr << "Edit \"ttt-type.hpp\" and change definition of TTT_INT16.\n" << std::endl;
		return 1;
	}
	
	if(sizeof(TTT_INT16) >= sizeof(TTT_INT_COV)){
		std::cerr << "[Error in definition] TTT_INT_COV must be wider than TTT_INT16 ." << std::endl;
		std::cerr << "Edit \"ttt-type.hpp\" and change definition of TTT_INT_COV.\n" << std::endl;
		return 2;
	}
	return 0;
}

